/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#pragma once

#include <bundle.h>

#include "appcore_base.h"

typedef void *appcore_base_control_h;

typedef void (*appcore_base_control_cb)(bundle *b, void *user_data);

int appcore_base_control_init(void);

void appcore_base_control_fini(void);

int appcore_base_control_invoke(bundle *b);

int appcore_base_control_add(const char *id,
		appcore_base_control_cb callback, void *user_data,
		appcore_base_control_h *h);

int appcore_base_control_remove(appcore_base_control_h h);
